edu.cmu.pslc.logging.util

## Class DiskImporter

- java.lang.Object
- - edu.cmu.pslc.logging.util.DiskImporter

-     public class DiskImporter
      extends java.lang.Object

  OLI Logging class for importing XML files from disk. Important Note: This class has been cleaned up for our coding standards, but some of the code is necessary though it is not clear how or why. These lines are marked with: "Not sure what this is for, but do not delete it." The program will appear to run successfully without them but nothing actually goes to the server.
  Version:
    $Revision: 6410 $ $Date: 2010-11-04 15:42:54 -0400 (Thu, 04 Nov 2010) $
  Author:
    Bill Jerome

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskImporter()` Default constructor will set a development server as a URL and set up a file.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getLastError()` Return the last exception from the class.
    `static void` | `main(java.lang.String[] args)` The main method.
    `java.lang.Boolean` | `send()` Send.
    `java.lang.Boolean` | `setInfile(java.lang.String filename)` Set the input file name.
    `java.lang.Boolean` | `setURL(java.lang.String connURL)` Set the URL for OLI logging servlet to log to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiskImporter

          public DiskImporter()

      Default constructor will set a development server as a URL and set up a file.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException

      The main method.
      Parameters:
        `args` - the command line arguments
      Throws:
        `java.io.IOException` - an IO exception

    - #### setURL

          public java.lang.Boolean setURL(java.lang.String connURL)

      Set the URL for OLI logging servlet to log to.
      Parameters:
        `connURL` - URL of the servlet
      Returns:
        `TRUE` on success, otherwise `FALSE`

    - #### setInfile

          public java.lang.Boolean setInfile(java.lang.String filename)

      Set the input file name.
      Parameters:
        `filename` - The filename to read XML from
      Returns:
        `TRUE` on success, otherwise `FALSE`

    - #### send

          public java.lang.Boolean send()

      Send.
      Returns:
        a flag indicating true or false.

    - #### getLastError

          public java.lang.Exception getLastError()

      Return the last exception from the class.
      Returns:
        Exception object

Copyright (c) 2015 - Pittsburgh Science of Learning Center